任务单 #16782

OpenID でログインできない

开放日期: 2009-05-17 19:06 最后更新: 2009-05-20 21:16

报告人:
属主:
类型:
状态:
关闭
组件:
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:

Details

最近 (といっても数週間以上前ですが) OpenID を利用して SourceForge.jp にログインできなくなりました。

ログインページで OpenID の URL を入力して「ログイン」ボタンを押しても、ログイン後のページに移動せず、未ログイン状態のままログインページに戻ってしまいます。 OpenID の登録がおかしくなったのかと思い、ユーザ設定ページから OpenID の登録をいったん削除して再登録しようとしたところ、今度は登録自体できなくなってしまいました。

なお、私が利用している OpenID の URL は http://www.hatena.ne.jp/Magicant/ です。はてな以外の OpenID については利用していないため、分かりません。

SourceForge.jp にアクセスするのに使用しているブラウザは IE8 と Firefox 3.0.10 で、どちらも現象を確認しました。

任务单历史 (3/7 Histories)

2009-05-17 19:06 Updated by: magicant
  • New Ticket "OpenID でログインできない" created
2009-05-18 10:42 Updated by: ishikawa
  • 属主 Update from (无) to ishikawa
评论

こちらで確認したところ、少なくとも mixi、google、launchpad、yahooなどの OpenIDでは正常にログインできるようです。

そのはてなのOpenIDで、(SourceForge.JP以外の)他のOpenID対応サイトに ログインできますでしょうか?

2009-05-18 13:17 Updated by: ishikawa
  • 处理结果 Update from to Fixed
评论

はてなのサーバとのassociationに失敗する状況が発生していたようです。

修正いたしましたので、ご確認いただけますでしょうか? (こちらの テストアカウントでは正常にログインできるようになりました)

2009-05-18 21:36 Updated by: magicant
评论

もう一度 OpenID の登録を試みましたが、やはりだめでした。OpenID の URL を入力して「結びつける」をクリックすると、「問い合わせています」の赤字が点滅した後、OpenID の利用確認を求めるはてな側のページではなく元のページに遷移してしまいます。

なお SourceForge.jp 以外のサイトについては、今読ミLIMILIC で OpenID を利用して認証できることを確認しました。

2009-05-19 12:07 Updated by: ishikawa
  • 处理结果 Update from Fixed to Accepted
评论

うーん、たしかにダメですね。

はてなの場合のみassociationに失敗する(場合がある)ようです。

ちょっと調査に時間をください。

2009-05-20 11:45 Updated by: ishikawa
  • 处理结果 Update from Accepted to Fixed
评论

問題を修正しました。

hatenaのように OpenID 2.0に対応してないOpenIDプロバイダで かつOpenIDのサーバ情報(openid.server)が比較的後ろに 書かれている場合、問題が出ていたようです。

こんどこそ、大丈夫だと思いますので確認お願いします。

2009-05-20 21:16 Updated by: magicant
  • Ticket Close date is changed to 2009-05-20 21:16
  • 状态 Update from 开启 to 关闭
评论

はてなの OpenID の登録とそれによるログインが出来ることを確認しました。対応ありがとうございました。

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名